#ifndef ABOUTDIALOG_H
#define ABOUTDIALOG_H

#include <qtabwidget.h>
#include <qtextbrowser.h>
#include <qlayout.h>
#include <qdialog.h>
#include <qpushbutton.h>
#include <qstring.h>


/////////////////////////////////////////////////////////////////////////////
class AboutDialog :public QDialog
{
	Q_OBJECT

public:
	AboutDialog(QWidget* parent = 0, const char* name = 0);


public slots:
	virtual void openLink (const QString &);

private:
	QTabWidget *tabs;
	QTextBrowser *credits;
	QTextBrowser *license;

	QBoxLayout *mainLayout;
	QBoxLayout *topLayout;
	QBoxLayout *bottomLayout;
	QPushButton *okbutton;
	
};

#endif
